package pfc.android.gestormensajeria.entidades;

/**
 * Clase para el manejo de la información de los mensajes independientemente del tipo de mensaje que sean
 * @author Francisco José Lamela Rincón
 *
 */
public class Mensaje {
	/**
	 * Propiedad para el manejo del id del mensaje
	 */
	private String id;
	
	/**
	 * Propiedad para el manejo del remitente del mensaje
	 */
	private String remitente;
	
	/**
	 * Propiedad para el manejo del asunto del mensaje
	 */
    private String asunto;
    
    /**
     * Propiedad para el manejo del cuerpo del mensaje
     */
    private String texto;
    
    /**
     * Propiedad para el manejo de la fecha del mensaje
     */
    private String fecha;
    
    /**
     * Propiedad para el manejo de la fecha del mensaje en milisegundos
     */
    private String fechaEnMilisegundos;
 
    /**
     * Constructor de la clase
     * @param id
     * @param remitente
     * @param asunto
     * @param texto
     * @param fecha
     * @param fechaEnMilisegundos
     */
    public Mensaje(String id, String remitente, String asunto, String texto, String fecha, String fechaEnMilisegundos){
    	this.id = id;
        this.remitente = remitente;
        this.asunto = asunto;
        this.texto = texto;
        this.fecha = fecha;
        this.fechaEnMilisegundos = fechaEnMilisegundos;
    }
    
    
    /**
     * Devuelve el id del mensaje
     * @return
     */
    public String getId() {
		return id;
	}

    /**
     * Devuelve el remitente del mensaje
     * @return
     */
	public String getRemitente(){
        return remitente;
    }
 
	/**
	 * Devuelve el asunto del mensaje
	 * @return
	 */
    public String getAsunto(){
        return asunto;
    }
 
    /**
     * Devuelve el cuerpo del mensaje
     * @return
     */
    public String getTexto(){
        return texto;
    }
    
    /**
     * Devuelve la fecha del mensaje
     * @return
     */
    public String getFecha(){
    	return fecha;
    }

    /**
     * Devuelve la fecha del mensaje en milisegundos    
     * @return
     */
	public String getFechaEnMilisegundos() {
		return fechaEnMilisegundos;
	}
    
}
